|
|||||||||
| Home >> All >> com >> opencms >> flex >> [ cache overview ] | PREV NEXT | ||||||||
A
- ATTRIBUTE_NAME - Static variable in class com.opencms.flex.cache.CmsFlexController
- Constant for the controller request attribute name
- ATTRIBUTE_PROCESSED - Static variable in class com.opencms.flex.cache.CmsFlexRequest
- Attribute name used for checking if _flex request parameters have already been processed
- add(byte[]) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Adds an array of bytes to this cache entry, this will usually be the result of some kind of output - stream.
- add(String, Map) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Add an include - call target resource to this cache entry.
- addDateHeader(String, long) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- addHeader(String, String) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- addHeaderList(Map, String, String) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Helper method to add a value in the internal header list.
- addHeaders(Map) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Add a map of headers to this cache entry, which are usually collected in the class CmsFlexResponse first.
- addInlucdeCall(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Adds another include call to this wrapper.
- addIntHeader(String, int) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- addParameterMap(Map) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Adds the specified Map to the paramters of the request.
- addToIncludeList(String, Map) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Adds an inclusion target to the list of include results.
- addToIncludeResults(byte[]) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Adds some bytes to the list of include results.
- addToLruCache() - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- addToLruCache() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
C
- C_CACHE_OFFLINESUFFIX - Static variable in class com.opencms.flex.cache.CmsFlexCache
- Suffix to append to online cache entries
- C_CACHE_ONLINESUFFIX - Static variable in class com.opencms.flex.cache.CmsFlexCache
- Suffix to append to online cache entries
- C_CLEAR_ALL - Static variable in class com.opencms.flex.cache.CmsFlexCache
- Static ints to trigger clearcache events
- C_CLEAR_ENTRIES - Static variable in class com.opencms.flex.cache.CmsFlexCache
- C_CLEAR_OFFLINE_ALL - Static variable in class com.opencms.flex.cache.CmsFlexCache
- C_CLEAR_OFFLINE_ENTRIES - Static variable in class com.opencms.flex.cache.CmsFlexCache
- C_CLEAR_ONLINE_ALL - Static variable in class com.opencms.flex.cache.CmsFlexCache
- C_CLEAR_ONLINE_ENTRIES - Static variable in class com.opencms.flex.cache.CmsFlexCache
- C_FLEX_CACHE_DELIMITER - Static variable in class com.opencms.flex.cache.CmsFlexResponse
- The cache delimiter char
- C_INITIAL_CAPACITY_CACHE - Static variable in class com.opencms.flex.cache.CmsFlexCache
- Initial Cache size, this should be a power of 2 because of the Java collections implementation
- C_INITIAL_CAPACITY_LISTS - Static variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Initial size for lists
- C_INITIAL_CAPACITY_VARIATIONS - Static variable in class com.opencms.flex.cache.CmsFlexCache
- Initial size for variation lists, should be a power of 2
- C_SETHEADER - Static variable in class com.opencms.flex.cache.CmsFlexResponse
- Static string to indicate a header is "set" in the header maps
- CmsFlexCache - class com.opencms.flex.cache.CmsFlexCache.
- This class implements the FlexCache.
- CmsFlexCache(OpenCms) - Constructor for class com.opencms.flex.cache.CmsFlexCache
- Constructor for class CmsFlexCache.
- CmsFlexCache.CmsFlexCacheVariation - class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation.
- A simple data container class for the FlexCache variations.
- CmsFlexCache.CmsFlexCacheVariation(CmsFlexCacheKey) - Constructor for class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- Generates a new instance of CmsFlexCacheVariation.
- CmsFlexCacheEntry - class com.opencms.flex.cache.CmsFlexCacheEntry.
- Contains the contents of a cached resource.
- CmsFlexCacheEntry() - Constructor for class com.opencms.flex.cache.CmsFlexCacheEntry
- Constructor for class CmsFlexCacheEntry.
- CmsFlexCacheKey - class com.opencms.flex.cache.CmsFlexCacheKey.
- Implements the CmsFlexCacheKey, which is a key used to describe the caching behaviour of a specific resource.
- CmsFlexCacheKey(ServletRequest, String, boolean) - Constructor for class com.opencms.flex.cache.CmsFlexCacheKey
- This constructor is used when building a cache key from a request.
- CmsFlexCacheKey(String, String, boolean) - Constructor for class com.opencms.flex.cache.CmsFlexCacheKey
- This constructor is used when building a cache key from set of cache directives.
- CmsFlexController - class com.opencms.flex.cache.CmsFlexController.
- Controller for getting access to the CmsObject, should be used as a request attribute.
- CmsFlexController(CmsObject, CmsFile, CmsFlexCache, HttpServletRequest, HttpServletResponse) - Constructor for class com.opencms.flex.cache.CmsFlexController
- Default constructor.
- CmsFlexRequest - class com.opencms.flex.cache.CmsFlexRequest.
- Wrapper class for a HttpServletRequest.
- CmsFlexRequest(HttpServletRequest, CmsFlexController) - Constructor for class com.opencms.flex.cache.CmsFlexRequest
- Creates a new CmsFlexRequest wrapper which is most likley the "Top" request wrapper, i.e.
- CmsFlexRequest(HttpServletRequest, CmsFlexController, String) - Constructor for class com.opencms.flex.cache.CmsFlexRequest
- Constructs a new wrapper layer around a (already wrapped) CmsFlexRequest.
- CmsFlexRequestDispatcher - class com.opencms.flex.cache.CmsFlexRequestDispatcher.
- Implementation of the javax.servlet.RequestDispatcher interface to allow JSPs to be loaded from OpenCms.
- CmsFlexRequestDispatcher(RequestDispatcher, String, String) - Constructor for class com.opencms.flex.cache.CmsFlexRequestDispatcher
- Creates a new instance of CmsFlexRequestDispatcher.
- CmsFlexResponse - class com.opencms.flex.cache.CmsFlexResponse.
- Wrapper class for a HttpServletResponse.
- CmsFlexResponse(HttpServletResponse, CmsFlexController, boolean, boolean) - Constructor for class com.opencms.flex.cache.CmsFlexResponse
- Constructor for the CmsFlexResponse, this variation is usually used for the "Top" response.
- CmsFlexResponse(HttpServletResponse, CmsFlexController) - Constructor for class com.opencms.flex.cache.CmsFlexResponse
- Constructor for the CmsFlexResponse, this variation one is usually used to wrap responses for further include calls in OpenCms.
- CmsFlexResponse.CmsServletOutputStream - class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream.
- Wrapped implementation of the ServletOutputStream.
- CmsFlexResponse.CmsServletOutputStream() - Constructor for class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- Constructor that must be used if the stream should write only to a buffer.
- CmsFlexResponse.CmsServletOutputStream(ServletOutputStream) - Constructor for class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- Constructor that must be used if the stream should write to a buffer and to another stream at the same time.
- cacheCmds - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- The list of keywords of the Flex cache language
- cacheOffline() - Method in class com.opencms.flex.cache.CmsFlexCache
- Indicates if offline project resources are cached.
- clear(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears all entries and all keys in the cache, online or offline.
- clear() - Method in class com.opencms.flex.cache.CmsFlexCache
- Emptys the cache completely.
- clear() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Clears the elements and headers HashMaps.
- clear() - Method in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- Clears the buffer by initializing the buffer with a new stream.
- clearEntries(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears all entries in the cache, online or offline.
- clearOffline(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears all entries and all keys from offline projects in the cache.
- clearOfflineEntries(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears all entries from offline projects in the cache.
- clearOneHalf(String, boolean) - Method in class com.opencms.flex.cache.CmsFlexCache
- Internal method to perform cache clearance.
- clearOnline(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears all entries and all keys from the online project in the cache.
- clearOnlineEntries(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears all entries from the online project in the cache.
- cmsEvent(CmsEvent) - Method in class com.opencms.flex.cache.CmsFlexCache
- Implements the CmsEvent interface, the FlexCache uses the events to clear itself in case a project is published.
- com.opencms.flex.cache - package com.opencms.flex.cache
- Provides the JSP funtionality for OpenCms, with some additional utility functions.
- complete() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Completes this cache entry.
- containsIncludeCall(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Checks if a given target is already included in a top-layer of this wrapped request.
- containsKey(CmsFlexCacheKey) - Method in class com.opencms.flex.cache.CmsFlexCache
- This method checks if a given key is already contained in the cache.
D
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- Internal debug switch
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexCache
- Debug switch
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Debug switch
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Debugging flag
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexRequest
- Debug flag
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexRequestDispatcher
- Internal DEBUG flag.
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- Debug flag
- DEBUG - Static variable in class com.opencms.flex.cache.CmsFlexResponse
- Flag for debugging output
E
- elements() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Returns the list of data entries of this cache entry.
F
- finalize() - Method in class com.opencms.flex.cache.CmsFlexCache
- Clears the cache for finalization.
- finalize() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Finalize this instance.
- flush() - Method in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- forward(ServletRequest, ServletResponse) - Method in class com.opencms.flex.cache.CmsFlexRequestDispatcher
- Wrapper for the standard servlet API call.
G
- get(CmsFlexCacheKey) - Method in class com.opencms.flex.cache.CmsFlexCache
- Looks up a specific entry in the cache.
- getBytes() - Method in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- Provides access to the bytes cached in the buffer.
- getCachedKey(String, CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns the CmsFlexCacheKey data structure for a given key (i.e.
- getCachedResources(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns a set of all cached resource names.
- getCachedVariations(String, CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns all variations in the cache for a given resource name.
- getCmsCache() - Method in class com.opencms.flex.cache.CmsFlexController
- Returns the CmsFlexCache instance where all results from this request will be cached in.
- getCmsCacheKey() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Returns the CmsFlexCacheKey for this request, the key will be calculated if neccessary.
- getCmsCacheKey() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Returns the cache key for to this response.
- getCmsFile() - Method in class com.opencms.flex.cache.CmsFlexController
- This method provides access to the top-level CmsFile of the request which is of a type that supports the FlexCache, i.e.
- getCmsIncludeCalls() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Returns the Set of include calls which will be passed to the next wrapping layer.
- getCmsObject() - Method in class com.opencms.flex.cache.CmsFlexController
- Returns the wrapped CmsObject.
- getCmsObject(ServletRequest) - Static method in class com.opencms.flex.cache.CmsFlexController
- Returns the wrapped CmsObject form the provided request, or null if the request is not running inside OpenCms.
- getCurrentRequest() - Method in class com.opencms.flex.cache.CmsFlexController
- getCurrentResponse() - Method in class com.opencms.flex.cache.CmsFlexController
- getElementUri() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Returns the name of the resource currently processed.
- getEncoding() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Returns the value of the encoding used for this response.
- getEntryLruCache() - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns the LRU cache where the CacheEntries are cached.
- getHeaders() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Provides access to the header cache of the top wrapper.
- getKey(String) - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns the CmsFlexCacheKey data structure for a given resource name.
- getKeyName(String, boolean) - Static method in class com.opencms.flex.cache.CmsFlexCacheKey
- Calculates the cache key name that is used as key in the first level of the FlexCache.
- getLruCacheCosts() - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- getLruCacheCosts() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- getNextLruObject() - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- getNextLruObject() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- getOutputStream() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- getParameter(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Return the value of the specified request parameter, if any; otherwise,
return
null. - getParameterMap() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Returns a
Mapof the parameters of this request. - getParameterNames() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Return the names of all defined request parameters for this request.
- getParameterValues(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Returns the defined values for the specified request parameter, if any;
otherwise, return
null. - getPreviousLruObject() - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- getPreviousLruObject() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- getRequestDispatcher(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Overloads the standard servlet API getRequestDispatcher() method, which is the main purpose of this wrapper implementation.
- getRequestDispatcherToExternal(String, String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Replacement for the standard servlet API getRequestDispatcher() method.
- getRequestURI() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Wraps the request URI, overloading the standard API.
- getRequestURL() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Wraps the request URL, overloading the standard API, the wrapped URL will always point to the currently included VFS resource.
- getResponseQueueSize() - Method in class com.opencms.flex.cache.CmsFlexController
- getTimeout() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Returns the timeout - value of this cache entry, this is set to the time when the entry becomes invalid.
- getTopRequest() - Method in class com.opencms.flex.cache.CmsFlexController
- getTopResponse() - Method in class com.opencms.flex.cache.CmsFlexController
- getWriter() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- getWriterBytes() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Returns the bytes that have been written on the current writers output stream.
H
- hadParseError() - Method in class com.opencms.flex.cache.CmsFlexCacheKey
- This flag is used to indicate that a parse error had occured, which can happen if the cache directives String passed to the constructor using the response is not build according to the Flex cache language syntax.
- hasIncludeList() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Is used to check if the response has an include list, which indicates a) it is probalbly processing a JSP element and b) it can never be streamed and alwys must be buffered.
I
- ID - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- The internal ID of this cache entry.
- ID_COUNTER - Static variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Static counter to give each entry a unique ID.
- include(ServletRequest, ServletResponse) - Method in class com.opencms.flex.cache.CmsFlexRequestDispatcher
- Wrapper for dispatching to a file from the OpenCms VFS.
- initStream() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Initializes the current responses output stream and the corrosponding print writer.
- isAdmin(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- Internal method to determine if a user has Administration permissions.
- isCacheable() - Method in class com.opencms.flex.cache.CmsFlexRequest
- This is needed to decide if this request can be cached or not.
- isCmsRequest(ServletRequest) - Static method in class com.opencms.flex.cache.CmsFlexController
- Checks if the provided request is running in OpenCms.
- isDoRecompile() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Checks if JSPs should always be recompiled.
- isEmpty() - Method in class com.opencms.flex.cache.CmsFlexCache
- Checks if the cache is empty or if at last one element is contained.
- isEnabled() - Method in class com.opencms.flex.cache.CmsFlexCache
- Indicates if the cache is enabled (i.e.
- isOnline() - Method in class com.opencms.flex.cache.CmsFlexRequest
- Indicates that this request belongs to an online project.
- isSuspended() - Method in class com.opencms.flex.cache.CmsFlexResponse
- This flag indicates if the response is suspended or not.
- isTopElement() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Returns
trueif this response has been constructed for the top level element of this request,falseif it was constructed for an included sub-element.
K
- key - Variable in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- The key belonging to the resource
- keySize() - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns the total number of cached resource keys.
M
- m_EntryLruCache - Variable in class com.opencms.flex.cache.CmsFlexCache
- The LRU cache to organize the cached entries.
- m_Next - Variable in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- Pointer to the next cache entry in the LRU cache
- m_Next - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Pointer to the next cache entry in the LRU cache
- m_Previous - Variable in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- Pointer to the previous cache entry in the LRU cache.
- m_Previous - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Pointer to the previous cache entry in the LRU cache.
- m_VariationCache - Variable in class com.opencms.flex.cache.CmsFlexCache
- The LRU cache to organize the cached resources.
- m_VariationKey - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- The key under which this cache entry is stored in the variation map.
- m_VariationMap - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- The variation map where this cache entry is stored.
- m_always - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: Determines if this resource can be cached alwys, never or under certain conditions.
- m_buffer_headers - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Map to save response headers belonging to a single include call in
- m_buffer_redirect - Variable in class com.opencms.flex.cache.CmsFlexResponse
- String to hold a buffered redirect target
- m_byteSize - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- The CacheEntry's size in kBytes
- m_cache - Variable in class com.opencms.flex.cache.CmsFlexController
- The CmsFlexCache where the result will be cached in, required for the dispatcher
- m_cacheBytes - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Byte array used for "cached leafs" optimization
- m_cacheOffline - Variable in class com.opencms.flex.cache.CmsFlexCache
- Indicates if offline resources should be cached or not
- m_cachedEntry - Variable in class com.opencms.flex.cache.CmsFlexResponse
- The cached entry that is constructed from this response
- m_cachingRequired - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Indicates if caching is required, will always be true if m_writeOnlyToBuffer is true
- m_canCache - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Flag to decide if this request can be cached or not
- m_cmsObject - Variable in class com.opencms.flex.cache.CmsFlexController
- The wrapped CmsObject provides JSP with access to the core system
- m_completed - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Indicates if this cache entry is completed
- m_controller - Variable in class com.opencms.flex.cache.CmsFlexRequest
- The CmsFlexController for this request
- m_controller - Variable in class com.opencms.flex.cache.CmsFlexResponse
- The CmsFlexController for this response
- m_doRecompile - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Flag to force a JSP recompile
- m_elements - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- The list of items for this resource
- m_enabled - Variable in class com.opencms.flex.cache.CmsFlexCache
- Indicates if the cache is enabled or not
- m_encoding - Variable in class com.opencms.flex.cache.CmsFlexResponse
- The encoding to use for the response
- m_ext_target - Variable in class com.opencms.flex.cache.CmsFlexRequestDispatcher
- The external target that will be included by the RequestDispatcher, needed if this is not a dispatcher to a cms resource
- m_file - Variable in class com.opencms.flex.cache.CmsFlexController
- The CmsFile that was initialized by the original request, required for URI actions
- m_flexRequestList - Variable in class com.opencms.flex.cache.CmsFlexController
- List of wrapped CmsFlexRequests
- m_flexResponseList - Variable in class com.opencms.flex.cache.CmsFlexController
- List of wrapped CmsFlexResponses
- m_groups - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: List of groups
- m_headers - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- A Map of cached headers for this resource
- m_headers - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Map to save all response headers (including sub-elements) in
- m_includeCalls - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Set of all include calls (to prevent an endless inclusion loop)
- m_includeList - Variable in class com.opencms.flex.cache.CmsFlexResponse
- A list of include calls that origin from this page, i.e.
- m_includeListParameters - Variable in class com.opencms.flex.cache.CmsFlexResponse
- A list of parameters that belong to the include calls
- m_includeMode - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Indicates if this element is currently in include mode, i.e.
- m_includeResults - Variable in class com.opencms.flex.cache.CmsFlexResponse
- A list of results from the inclusions, needed because of JSP buffering
- m_isOnline - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Flag to check if this request is in the online project or not
- m_isRequest - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Flag used to determine if this key is from a request or not
- m_isTopElement - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Flag to indicate if this is the top level element or an included sub - element
- m_key - Variable in class com.opencms.flex.cache.CmsFlexRequest
- The CmsFlexCacheKey for this request
- m_key - Variable in class com.opencms.flex.cache.CmsFlexResponse
- The CmsFlexCacheKey for this response
- m_noparams - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: List of "blocking" parameters
- m_out - Variable in class com.opencms.flex.cache.CmsFlexResponse
- A special wrapper class for a ServletOutputStream
- m_parameters - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Map of parameters from the original request
- m_params - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: List of parameters
- m_parentWritesOnlyToBuffer - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Indicates that parent stream is writing only in the buffer
- m_parseError - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Flag raised in case a key parse error occured
- m_ports - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: The request TCP/IP port
- m_publish - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: Determines if the resource sould be always cleared at publish time
- m_rd - Variable in class com.opencms.flex.cache.CmsFlexRequestDispatcher
- The "real" RequestDispatcher, used when a true include (to the file system) is needed.
- m_redirectTarget - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- A redirection target (if redirection is set)
- m_req - Variable in class com.opencms.flex.cache.CmsFlexController
- Wrapped top request
- m_req - Variable in class com.opencms.flex.cache.CmsFlexRequest
- The wrapped HttpServletRequest
- m_requestUri - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Stores the request URI after it was once calculated
- m_requestUrl - Variable in class com.opencms.flex.cache.CmsFlexRequest
- Stores the request URI after it was once calculated
- m_res - Variable in class com.opencms.flex.cache.CmsFlexController
- Wrapped to response
- m_res - Variable in class com.opencms.flex.cache.CmsFlexResponse
- The wrapped ServletResponse
- m_resource - Variable in class com.opencms.flex.cache.CmsFlexRequest
- The requested resource (target resource)
- m_resourceMap - Variable in class com.opencms.flex.cache.CmsFlexCache
- Hashmap to store the Entries for fast lookup
- m_schemes - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: Distinguishes request schemes (http, https etc.)
- m_size - Variable in class com.opencms.flex.cache.CmsFlexCache
- Counter for the size
- m_suspended - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Indicates if this response is suspended (probably because of a redirect)
- m_timeout - Variable in class com.opencms.flex.cache.CmsFlexCacheEntry
- Age for timeout
- m_timeout - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: Timeout of the resource
- m_uri - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: The uri of the original request
- m_user - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- Cache key variable: The user id
- m_vfs_target - Variable in class com.opencms.flex.cache.CmsFlexRequestDispatcher
- The OpenCms VFS target that will be included by the RequestDispatcher.
- m_writeOnlyToBuffer - Variable in class com.opencms.flex.cache.CmsFlexResponse
- Indicates that the OutputStream m_out should write ONLY in the buffer
- m_writer - Variable in class com.opencms.flex.cache.CmsFlexResponse
- A printwriter that writes in the m_out stream
- map - Variable in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- Maps variations to CmsFlexCacheEntries
- matchRequestKey(CmsFlexCacheKey) - Method in class com.opencms.flex.cache.CmsFlexCacheKey
- Compares this key to the other key passed as parameter, from comparing the two keys, a variation String is constructed.
P
- parseFlexKey(String) - Method in class com.opencms.flex.cache.CmsFlexCacheKey
- Parse a String in the Flex cache language and construct the key data structure from this.
- parseValueMap(String) - Method in class com.opencms.flex.cache.CmsFlexCacheKey
- A helper method for the parsing process which parses Strings like groups=(a, b, c).
- popRequest() - Method in class com.opencms.flex.cache.CmsFlexController
- popResponse() - Method in class com.opencms.flex.cache.CmsFlexController
- processCacheEntry() - Method in class com.opencms.flex.cache.CmsFlexResponse
- Generates a CmsFlexCacheEntry from the current response using the stored include results.
- processHeaders(Map, HttpServletResponse) - Static method in class com.opencms.flex.cache.CmsFlexResponse
- Process the headers stored in the provided map and add them to the response.
- processIncludeList() - Method in class com.opencms.flex.cache.CmsFlexResponse
- This method is needed to process pages that can NOT be analyzed directly during delivering (like JSP) because they write to their own buffer.
- purgeDirectory(File) - Method in class com.opencms.flex.cache.CmsFlexCache
- Deletes a directory in the file system and all subfolders of the directory.
- purgeJspRepository(CmsObject) - Method in class com.opencms.flex.cache.CmsFlexCache
- This method purges the JSP repository dirs, i.e.
- pushRequest(CmsFlexRequest) - Method in class com.opencms.flex.cache.CmsFlexController
- pushResponse(CmsFlexResponse) - Method in class com.opencms.flex.cache.CmsFlexController
- put(CmsFlexCacheKey, CmsFlexCacheEntry, String) - Method in class com.opencms.flex.cache.CmsFlexCache
- This method adds new entries to the cache.
- put(CmsFlexCacheKey, CmsFlexCacheEntry) - Method in class com.opencms.flex.cache.CmsFlexCache
- Save a value to the cache.
- putKey(CmsFlexCacheKey) - Method in class com.opencms.flex.cache.CmsFlexCache
- Adds a key with a new, empty variation map to the cache.
R
- Resource - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- The OpenCms resource that this key is used for.
- remove(CmsFlexCacheKey) - Method in class com.opencms.flex.cache.CmsFlexCache
- Removes an entry from the cache.
- removeFromLruCache() - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- removeFromLruCache() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- removeIncludeCall(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Removes an include call from this wrapper.
S
- sendRedirect(String) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- service(CmsFlexRequest, CmsFlexResponse) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Processing method for this cached entry.
- servletStream - Variable in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- The optional output stream to write to
- setCmsCacheKey(String, String, boolean) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Sets the cache key for this response, which is calculated from the provided parameters.
- setCmsCacheKey(CmsFlexCacheKey) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Sets the cache key for this response from a pre-calculated cache key.
- setCmsCachingRequired(boolean) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Set caching status for this reponse.
- setCmsIncludeMode(boolean) - Method in class com.opencms.flex.cache.CmsFlexResponse
- This flag indicates to the response if it is in "include mode" or not.
- setContentType(String) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- setDateHeader(String, long) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- setHeader(String, String) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- setHeaderList(Map, String, String) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Helper method to set a value in the internal header list.
- setIntHeader(String, int) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Method overlodad from the standard HttpServletRequest API.
- setNextLruObject(I_CmsFlexLruCacheObject) - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- setNextLruObject(I_CmsFlexLruCacheObject) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- setOnlyBuffering(boolean) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Sets buffering status of the response.
- setParameterMap(Map) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Sets the specified Map as paramter map of the request.
- setPreviousLruObject(I_CmsFlexLruCacheObject) - Method in class com.opencms.flex.cache.CmsFlexCache.CmsFlexCacheVariation
- setPreviousLruObject(I_CmsFlexLruCacheObject) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- setRedirect(String) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Set a redirect target for this cache entry.
- setSuspended(boolean) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Sets the suspended status of the response, and also sets the suspend status of all responses wrapping this response.
- setTimeout(long) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Sets a timeout value to this cache entry, which indicates the time this entry becomes invalid.
- setVariationData(String, Map) - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- Stores a backward reference to the map and key where this cache entry is stored.
- size() - Method in class com.opencms.flex.cache.CmsFlexCache
- Returns the total number of entries in the cache.
- stream - Variable in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- The internal steam buffer
- suspendFlexResponse() - Method in class com.opencms.flex.cache.CmsFlexController
T
- toAbsolute(String) - Method in class com.opencms.flex.cache.CmsFlexRequest
- Convert (if necessary) and return the absolute URI that represents the resource referenced by this possibly relative URI for this request.
- toString() - Method in class com.opencms.flex.cache.CmsFlexCacheEntry
- toString() - Method in class com.opencms.flex.cache.CmsFlexCacheKey
V
- Variation - Variable in class com.opencms.flex.cache.CmsFlexCacheKey
- The cache behaviour description for the resource.
W
- write(int) - Method in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- write(byte[], int, int) - Method in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- writeCachedResultToStream(HttpServletResponse) - Method in class com.opencms.flex.cache.CmsFlexResponse
- This delivers cached sub-elements back to the stream.
- writeToOutputStream(byte[], boolean) - Method in class com.opencms.flex.cache.CmsFlexResponse
- Writes some bytes to the current output stream, this method should be called from CmsFlexCacheEntry.service() only.
- writeToServletStream(byte[]) - Method in class com.opencms.flex.cache.CmsFlexResponse.CmsServletOutputStream
- Writes an array of bytes only to the included servlet stream, not to the buffer.
A C D E F G H I K M P R S T V W
|
|||||||||
| Home >> All >> com >> opencms >> flex >> [ cache overview ] | PREV NEXT | ||||||||